Last Comment Bug 434808 - "certutil -B" deadlock when importing two or more roots
: "certutil -B" deadlock when importing two or more roots
Status: RESOLVED FIXED
: regression
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.12
: x86 Linux
: P1 normal (vote)
: 3.12.1
Assigned To: Julien Pierre
:
Mentors:
Depends on: 415167
Blocks: NSS312regressions
  Show dependency treegraph
 
Reported: 2008-05-20 10:59 PDT by Kai Engert (:kaie)
Modified: 2008-08-14 06:23 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
r1 (1.39 KB, application/octet-stream)
2008-05-20 11:03 PDT, Kai Engert (:kaie)
no flags Details
r2 (1002 bytes, application/octet-stream)
2008-05-20 11:04 PDT, Kai Engert (:kaie)
no flags Details
batch (58 bytes, text/plain)
2008-05-20 11:04 PDT, Kai Engert (:kaie)
no flags Details

Description Kai Engert (:kaie) 2008-05-20 10:59:47 PDT
Using out latest NSPR and NSS sources from trunk, 
I get a deadlock when starting the following command, using the attached three files.

The cert files don't seem to matter.
Nicknames don't seem to matter

I'm operating on an empty cert db, that got created with 
  certutil -d db -N (no password)

Contents of batch file:
 -A -n "r1" -t "CT,C," -i r1
 -A -n "r2" -t "CT,C," -i r2

(gdb) bt
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00b8fb95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x003896e3 in PR_WaitCondVar (cvar=0x86f0ed8, timeout=4294967295) at ../../../../pr/src/pthreads/ptsynch.c:405
#3  0x00392290 in PR_Cleanup () at ../../../../pr/src/pthreads/ptthread.c:1035
#4  0x080560c6 in certutil_main (argc=9, argv=0x86f0848, initialize=0) at certutil.c:2895
#5  0x0805604f in certutil_main (argc=6, argv=0xbfe578e4, initialize=1) at certutil.c:2883
#6  0x0805611d in main (argc=Cannot access memory at address 0x80
) at certutil.c:2907
Comment 1 Kai Engert (:kaie) 2008-05-20 11:03:11 PDT
certutil -B -i batch -d db/
Comment 2 Kai Engert (:kaie) 2008-05-20 11:03:51 PDT
Created attachment 321798 [details]
r1
Comment 3 Kai Engert (:kaie) 2008-05-20 11:04:03 PDT
Created attachment 321799 [details]
r2
Comment 4 Kai Engert (:kaie) 2008-05-20 11:04:23 PDT
Created attachment 321800 [details]
batch
Comment 5 Kai Engert (:kaie) 2008-05-20 11:10:46 PDT
Doing some testing, this seems to have been introduced between
  3.12 Beta 1
and
  3.12 Beta 2
Comment 6 Kai Engert (:kaie) 2008-05-20 11:37:09 PDT
Regression might have been introduced by bug 415167.
Comment 7 Kai Engert (:kaie) 2008-05-29 10:19:20 PDT
This should be fixed in 3.12.1 by the additional patch checked in, see bug 415167.

Not sure if this can be fixed in 3.12.0, probably not.
Comment 8 Kai Engert (:kaie) 2008-08-14 06:23:25 PDT
I'm marking this fixed. It was fixed with a checked in done in bug 434808

Note You need to log in before you can comment on or make changes to this bug.